Unable to install Nomad from Hashicorp repo

Hello everyone. Attempting to install Nomad from the hashicorp repo on Rocky Linux 8 is currently throwing an error:

nomad.hyperv-vmcx.rocky8: Error unpacking rpm package nomad-1.2.6-1.x86_64
    nomad.hyperv-vmcx.rocky8:   Running scriptlet: nomad-1.2.6-1.x86_64                                   1/1
    nomad.hyperv-vmcx.rocky8:   Installing       : nomad-1.2.6-1.x86_64                                   1/1
==> nomad.hyperv-vmcx.rocky8: Error: Transaction failed
    nomad.hyperv-vmcx.rocky8:   Verifying        : nomad-1.2.6-1.x86_64                                   1/1
    nomad.hyperv-vmcx.rocky8:
    nomad.hyperv-vmcx.rocky8: Failed:
    nomad.hyperv-vmcx.rocky8:   nomad-1.2.6-1.x86_64

Installing consul from the same repo works. Anyone know whats up? It was working fine earlier today.